org.keycloak.exceptions

## Class TokenVerificationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.keycloak.common.VerificationException
      - - org.keycloak.exceptions.TokenVerificationException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ExplainedTokenVerificationException, TokenNotActiveException, TokenSignatureInvalidException

      public class TokenVerificationException
      extends VerificationException

  Exception thrown on failed verification of a token.
  Author:
    hmlnarik
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TokenVerificationException(JsonWebToken token)`
    `TokenVerificationException(JsonWebToken token, String message)`
    `TokenVerificationException(JsonWebToken token, String message, Throwable cause)`
    `TokenVerificationException(JsonWebToken token, Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonWebToken` | `getToken()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TokenVerificationException

          public TokenVerificationException(JsonWebToken token)

    - #### TokenVerificationException

          public TokenVerificationException(JsonWebToken token,
                                            String message)

    - #### TokenVerificationException

          public TokenVerificationException(JsonWebToken token,
                                            String message,
                                            Throwable cause)

    - #### TokenVerificationException

          public TokenVerificationException(JsonWebToken token,
                                            Throwable cause)

  - ### Method Detail

    - #### getToken

          public JsonWebToken getToken()

Copyright © 2020 JBoss by Red Hat. All rights reserved.